CCfits: CCfits::Table::NoSuchColumn Class Reference

CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Table::NoSuchColumn Class Reference
FITS Exceptions

Exception to be thrown on a failure to retrieve a column specified either by name or index number. More...

`#include <Table.h>`

Inheritance diagram for CCfits::Table::NoSuchColumn:

List of all members.

## Public Member Functions
| NoSuchColumn (const String &name, bool silent=true)
| Exception ctor for exception thrown if the requested column (specified by name) is not present.
| NoSuchColumn (int index, bool silent=true)
| Exception ctor for exception thrown if the requested column (specified by name) is not present.

## Detailed Description

Exception to be thrown on a failure to retrieve a column specified either by name or index number.

When a Table object is created, the header is read and a column object created for each column defined. Thus id this exception is thrown the column requested does not exist in the HDU (note that the column can easily exist and not contain any data since the user controls whether the column will be read when the FITS object is instantiated).

It is expected that the index number calls will be primarily internal. The underlying implementation makes lookup by name more efficient.

The exception has two variants, which take either an integer or a string as parameter. These are used according to the accessor that threw them, either by name or index.

## Constructor & Destructor Documentation

CCfits::Table::NoSuchColumn::NoSuchColumn | ( | const String & | name,
|  | bool | silent = `true`
| ) |  |

Exception ctor for exception thrown if the requested column (specified by name) is not present.

Message: Fits Error: cannot find Column named: name is printed.

Parameters:

  name | the requested column name
  silent | if true, print message whether FITS::verboseMode is set or not.

CCfits::Table::NoSuchColumn::NoSuchColumn | ( | int | index,
|  | bool | silent = `true`
| ) |  |

Exception ctor for exception thrown if the requested column (specified by name) is not present.

Message: Fits Error: column not present - Column number index is printed.

Parameters:

  index | the requested column number
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Table.h
- Table.cxx